Visszaállítja a megadott biztonsági mentési adatokat. Ez egy aszinkron művelet. Az API-hívás állapotának megismeréséhez használja a GetProtectedItemOperationResult API-t.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupFabrics/{fabricName}/protectionContainers/{containerName}/protectedItems/{protectedItemName}/recoveryPoints/{recoveryPointId}/restore?api-version=2026-08-01
URI-paraméterek
| Név |
In |
Kötelező |
Típus |
Description |
|
containerName
|
path |
True
|
string
|
Annak a tárolónak a neve, amelynek adatait le kell kérni.
|
|
fabricName
|
path |
True
|
string
|
A BackupFabricResource neve
|
|
protectedItemName
|
path |
True
|
string
|
Biztonsági másolatot készít az elem nevéről, amelynek adatait le kell kérni.
|
|
recoveryPointId
|
path |
True
|
string
|
A RecoveryPointID a lekérni kívánt biztonsági mentési adatokat jelöli.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.
|
|
subscriptionId
|
path |
True
|
string
minLength: 1
|
A cél-előfizetés azonosítója.
|
|
vaultName
|
path |
True
|
string
|
A VaultResource neve
|
|
api-version
|
query |
True
|
string
minLength: 1
|
A művelethez használni kívánt API-verzió.
|
| Név |
Kötelező |
Típus |
Description |
|
x-ms-authorization-auxiliary
|
|
string
|
|
Kérelem törzse
| Név |
Típus |
Description |
|
eTag
|
string
|
Nem kötelező ETag.
|
|
location
|
string
|
Erőforrás helye.
|
|
properties
|
RestoreRequest:
|
RestoreRequestResource tulajdonságai
|
|
tags
|
object
|
Erőforráscímkék.
|
Válaszok
| Név |
Típus |
Description |
|
202 Accepted
|
|
Az erőforrásművelet elfogadott.
Fejlécek
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Váratlan hibaválasz.
|
Biztonság
azure_auth
Azure Active Directory Oauth2-folyamat.
Típus:
oauth2
Folyamat:
implicit
Engedélyezési URL:
https://login.microsoftonline.com/common/oauth2/authorize
Hatókörök
| Név |
Description |
|
user_impersonation
|
a felhasználói fiók megszemélyesítése
|
Példák
Restore Azure File Share to Original Location with Managed Identity
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SwaggerTestRg/providers/Microsoft.RecoveryServices/vaults/swaggertestvault/backupFabrics/Azure/protectionContainers/StorageContainer;Storage;SwaggerTestRg;swaggertestsa/protectedItems/AzureFileShare;testshare/recoveryPoints/932886657837421071/restore?api-version=2026-08-01
{
"properties": {
"objectType": "AzureFileShareRestoreRequest",
"recoveryType": "OriginalLocation",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa",
"copyOptions": "Overwrite",
"restoreRequestType": "FullShareRestore",
"identityInfo": {
"isSystemAssignedIdentity": true
}
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.AzureFileShareRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.CopyOptions;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestType;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithSAMI.json
*/
/**
* Sample code: Restore Azure File Share to Original Location with Managed Identity.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreAzureFileShareToOriginalLocationWithManagedIdentity(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("swaggertestvault", "SwaggerTestRg", "Azure",
"StorageContainer;Storage;SwaggerTestRg;swaggertestsa", "AzureFileShare;testshare", "932886657837421071",
new RestoreRequestResource().withProperties(new AzureFileShareRestoreRequest()
.withRecoveryType(RecoveryType.ORIGINAL_LOCATION)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa")
.withCopyOptions(CopyOptions.OVERWRITE).withRestoreRequestType(RestoreRequestType.FULL_SHARE_RESTORE)
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(true))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_azure_file_share_with_sami.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="swaggertestvault",
resource_group_name="SwaggerTestRg",
fabric_name="Azure",
container_name="StorageContainer;Storage;SwaggerTestRg;swaggertestsa",
protected_item_name="AzureFileShare;testshare",
recovery_point_id="932886657837421071",
parameters={
"properties": {
"copyOptions": "Overwrite",
"identityInfo": {"isSystemAssignedIdentity": True},
"objectType": "AzureFileShareRestoreRequest",
"recoveryType": "OriginalLocation",
"restoreRequestType": "FullShareRestore",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithSAMI.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithSAMI.json
func ExampleRestoresClient_BeginTrigger_restoreAzureFileShareToOriginalLocationWithManagedIdentity() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "swaggertestvault", "SwaggerTestRg", "Azure", "StorageContainer;Storage;SwaggerTestRg;swaggertestsa", "AzureFileShare;testshare", "932886657837421071", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.AzureFileShareRestoreRequest{
ObjectType: to.Ptr("AzureFileShareRestoreRequest"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeOriginalLocation),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa"),
CopyOptions: to.Ptr(armrecoveryservicesbackup.CopyOptionsOverwrite),
RestoreRequestType: to.Ptr(armrecoveryservicesbackup.RestoreRequestTypeFullShareRestore),
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(true),
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithSAMI.json
*/
async function restoreAzureFileShareToOriginalLocationWithManagedIdentity() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"swaggertestvault",
"SwaggerTestRg",
"Azure",
"StorageContainer;Storage;SwaggerTestRg;swaggertestsa",
"AzureFileShare;testshare",
"932886657837421071",
{
properties: {
objectType: "AzureFileShareRestoreRequest",
recoveryType: "OriginalLocation",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa",
copyOptions: "Overwrite",
restoreRequestType: "FullShareRestore",
identityInfo: { isSystemAssignedIdentity: true },
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SwaggerTestRg/providers/Microsoft.RecoveryServices/vaults/swaggertestvault/backupFabrics/Azure/protectionContainers/StorageContainer;Storage;SwaggerTestRg;swaggertestsa/protectedItems/AzureFileShare;testshare/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2026-08-01
Location: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SwaggerTestRg/providers/Microsoft.RecoveryServices/vaults/swaggertestvault/backupFabrics/Azure/protectionContainers/StorageContainer;Storage;SwaggerTestRg;swaggertestsa/protectedItems/AzureFileShare;testshare/operationResults/00000000-0000-0000-0000-000000000000?api-version=2026-08-01
Retry-After: 60
Restore Azure File Share to Original Location with User Assigned Managed Identity
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SwaggerTestRg/providers/Microsoft.RecoveryServices/vaults/swaggertestvault/backupFabrics/Azure/protectionContainers/StorageContainer;Storage;SwaggerTestRg;swaggertestsa/protectedItems/AzureFileShare;testshare/recoveryPoints/932886657837421071/restore?api-version=2026-08-01
{
"properties": {
"objectType": "AzureFileShareRestoreRequest",
"recoveryType": "OriginalLocation",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa",
"copyOptions": "Overwrite",
"restoreRequestType": "FullShareRestore",
"identityInfo": {
"isSystemAssignedIdentity": false,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/swaggertestuami"
}
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.AzureFileShareRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.CopyOptions;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestType;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithUAMI.json
*/
/**
* Sample code: Restore Azure File Share to Original Location with User Assigned Managed Identity.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreAzureFileShareToOriginalLocationWithUserAssignedManagedIdentity(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("swaggertestvault", "SwaggerTestRg", "Azure",
"StorageContainer;Storage;SwaggerTestRg;swaggertestsa", "AzureFileShare;testshare", "932886657837421071",
new RestoreRequestResource().withProperties(new AzureFileShareRestoreRequest()
.withRecoveryType(RecoveryType.ORIGINAL_LOCATION)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa")
.withCopyOptions(CopyOptions.OVERWRITE).withRestoreRequestType(RestoreRequestType.FULL_SHARE_RESTORE)
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(false).withManagedIdentityResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/swaggertestuami"))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_azure_file_share_with_uami.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="swaggertestvault",
resource_group_name="SwaggerTestRg",
fabric_name="Azure",
container_name="StorageContainer;Storage;SwaggerTestRg;swaggertestsa",
protected_item_name="AzureFileShare;testshare",
recovery_point_id="932886657837421071",
parameters={
"properties": {
"copyOptions": "Overwrite",
"identityInfo": {
"isSystemAssignedIdentity": False,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/swaggertestuami",
},
"objectType": "AzureFileShareRestoreRequest",
"recoveryType": "OriginalLocation",
"restoreRequestType": "FullShareRestore",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithUAMI.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithUAMI.json
func ExampleRestoresClient_BeginTrigger_restoreAzureFileShareToOriginalLocationWithUserAssignedManagedIdentity() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "swaggertestvault", "SwaggerTestRg", "Azure", "StorageContainer;Storage;SwaggerTestRg;swaggertestsa", "AzureFileShare;testshare", "932886657837421071", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.AzureFileShareRestoreRequest{
ObjectType: to.Ptr("AzureFileShareRestoreRequest"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeOriginalLocation),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa"),
CopyOptions: to.Ptr(armrecoveryservicesbackup.CopyOptionsOverwrite),
RestoreRequestType: to.Ptr(armrecoveryservicesbackup.RestoreRequestTypeFullShareRestore),
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(false),
ManagedIdentityResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/swaggertestuami"),
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureStorage/TriggerRestore_AzureFileShare_WithUAMI.json
*/
async function restoreAzureFileShareToOriginalLocationWithUserAssignedManagedIdentity() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"swaggertestvault",
"SwaggerTestRg",
"Azure",
"StorageContainer;Storage;SwaggerTestRg;swaggertestsa",
"AzureFileShare;testshare",
"932886657837421071",
{
properties: {
objectType: "AzureFileShareRestoreRequest",
recoveryType: "OriginalLocation",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.Storage/storageAccounts/swaggertestsa",
copyOptions: "Overwrite",
restoreRequestType: "FullShareRestore",
identityInfo: {
isSystemAssignedIdentity: false,
managedIdentityResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/SwaggerTestRg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/swaggertestuami",
},
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SwaggerTestRg/providers/Microsoft.RecoveryServices/vaults/swaggertestvault/backupFabrics/Azure/protectionContainers/StorageContainer;Storage;SwaggerTestRg;swaggertestsa/protectedItems/AzureFileShare;testshare/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2026-08-01
Location: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SwaggerTestRg/providers/Microsoft.RecoveryServices/vaults/swaggertestvault/backupFabrics/Azure/protectionContainers/StorageContainer;Storage;SwaggerTestRg;swaggertestsa/protectedItems/AzureFileShare;testshare/operationResults/00000000-0000-0000-0000-000000000000?api-version=2026-08-01
Retry-After: 60
Restore Disks with IaasVMRestoreRequest
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/recoveryPoints/348916168024334/restore?api-version=2026-08-01
{
"properties": {
"createNewCloudService": true,
"encryptionDetails": {
"encryptionEnabled": false
},
"identityInfo": {
"isSystemAssignedIdentity": false,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount",
"targetDiskNetworkAccessSettings": {
"targetDiskAccessId": "/subscriptions/e7a191f5-713c-4bdb-b5e4-cf3dd90230ef/resourceGroups/arpja/providers/Microsoft.Compute/diskAccesses/arpja-diskaccess-ccy",
"targetDiskNetworkAccessOption": "EnablePrivateAccessForAllDisks"
}
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.EncryptionDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IaasVMRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
import com.azure.resourcemanager.recoveryservicesbackup.models.TargetDiskNetworkAccessOption;
import com.azure.resourcemanager.recoveryservicesbackup.models.TargetDiskNetworkAccessSettings;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest.json
*/
/**
* Sample code: Restore Disks with IaasVMRestoreRequest.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreDisksWithIaasVMRestoreRequest(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("testVault", "netsdktestrg", "Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334",
new RestoreRequestResource().withProperties(new IaasVMRestoreRequest()
.withRecoveryPointId("348916168024334").withRecoveryType(RecoveryType.RESTORE_DISKS)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1")
.withStorageAccountId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount")
.withRegion("southeastasia").withCreateNewCloudService(true).withOriginalStorageAccountOption(false)
.withEncryptionDetails(new EncryptionDetails().withEncryptionEnabled(false))
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(false).withManagedIdentityResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"))
.withTargetDiskNetworkAccessSettings(new TargetDiskNetworkAccessSettings()
.withTargetDiskNetworkAccessOption(
TargetDiskNetworkAccessOption.ENABLE_PRIVATE_ACCESS_FOR_ALL_DISKS)
.withTargetDiskAccessId(
"/subscriptions/e7a191f5-713c-4bdb-b5e4-cf3dd90230ef/resourceGroups/arpja/providers/Microsoft.Compute/diskAccesses/arpja-diskaccess-ccy"))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_restore_disks_iaas_vm_restore_request.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="testVault",
resource_group_name="netsdktestrg",
fabric_name="Azure",
container_name="IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
protected_item_name="VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
recovery_point_id="348916168024334",
parameters={
"properties": {
"createNewCloudService": True,
"encryptionDetails": {"encryptionEnabled": False},
"identityInfo": {
"isSystemAssignedIdentity": False,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi",
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": False,
"recoveryPointId": "348916168024334",
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount",
"targetDiskNetworkAccessSettings": {
"targetDiskAccessId": "/subscriptions/e7a191f5-713c-4bdb-b5e4-cf3dd90230ef/resourceGroups/arpja/providers/Microsoft.Compute/diskAccesses/arpja-diskaccess-ccy",
"targetDiskNetworkAccessOption": "EnablePrivateAccessForAllDisks",
},
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest.json
func ExampleRestoresClient_BeginTrigger_restoreDisksWithIaasVMRestoreRequest() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "testVault", "netsdktestrg", "Azure", "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.IaasVMRestoreRequest{
CreateNewCloudService: to.Ptr(true),
EncryptionDetails: &armrecoveryservicesbackup.EncryptionDetails{
EncryptionEnabled: to.Ptr(false),
},
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(false),
ManagedIdentityResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"),
},
ObjectType: to.Ptr("IaasVMRestoreRequest"),
OriginalStorageAccountOption: to.Ptr(false),
RecoveryPointID: to.Ptr("348916168024334"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeRestoreDisks),
Region: to.Ptr("southeastasia"),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"),
StorageAccountID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"),
TargetDiskNetworkAccessSettings: &armrecoveryservicesbackup.TargetDiskNetworkAccessSettings{
TargetDiskAccessID: to.Ptr("/subscriptions/e7a191f5-713c-4bdb-b5e4-cf3dd90230ef/resourceGroups/arpja/providers/Microsoft.Compute/diskAccesses/arpja-diskaccess-ccy"),
TargetDiskNetworkAccessOption: to.Ptr(armrecoveryservicesbackup.TargetDiskNetworkAccessOptionEnablePrivateAccessForAllDisks),
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest.json
*/
async function restoreDisksWithIaasVMRestoreRequest() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"testVault",
"netsdktestrg",
"Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"348916168024334",
{
properties: {
createNewCloudService: true,
encryptionDetails: { encryptionEnabled: false },
identityInfo: {
isSystemAssignedIdentity: false,
managedIdentityResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi",
},
objectType: "IaasVMRestoreRequest",
originalStorageAccountOption: false,
recoveryPointId: "348916168024334",
recoveryType: "RestoreDisks",
region: "southeastasia",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
storageAccountId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount",
targetDiskNetworkAccessSettings: {
targetDiskAccessId:
"/subscriptions/e7a191f5-713c-4bdb-b5e4-cf3dd90230ef/resourceGroups/arpja/providers/Microsoft.Compute/diskAccesses/arpja-diskaccess-ccy",
targetDiskNetworkAccessOption: "EnablePrivateAccessForAllDisks",
},
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2020-09-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2020-09-01
Retry-After: 60
Restore Disks with IaasVMRestoreRequest with IdentityBasedRestoreDetails
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/recoveryPoints/348916168024334/restore?api-version=2026-08-01
{
"properties": {
"createNewCloudService": true,
"encryptionDetails": {
"encryptionEnabled": false
},
"identityBasedRestoreDetails": {
"targetStorageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"
},
"identityInfo": {
"isSystemAssignedIdentity": false,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.EncryptionDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IaasVMRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityBasedRestoreDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file:
* 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
*/
/**
* Sample code: Restore Disks with IaasVMRestoreRequest with IdentityBasedRestoreDetails.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreDisksWithIaasVMRestoreRequestWithIdentityBasedRestoreDetails(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("testVault", "netsdktestrg", "Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334",
new RestoreRequestResource().withProperties(new IaasVMRestoreRequest()
.withRecoveryPointId("348916168024334").withRecoveryType(RecoveryType.RESTORE_DISKS)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1")
.withRegion("southeastasia").withCreateNewCloudService(true).withOriginalStorageAccountOption(false)
.withEncryptionDetails(new EncryptionDetails().withEncryptionEnabled(false))
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(false).withManagedIdentityResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"))
.withIdentityBasedRestoreDetails(new IdentityBasedRestoreDetails().withTargetStorageAccountId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_restore_disks_iaas_vm_restore_request_identity_based_restore_details.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="testVault",
resource_group_name="netsdktestrg",
fabric_name="Azure",
container_name="IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
protected_item_name="VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
recovery_point_id="348916168024334",
parameters={
"properties": {
"createNewCloudService": True,
"encryptionDetails": {"encryptionEnabled": False},
"identityBasedRestoreDetails": {
"targetStorageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"
},
"identityInfo": {
"isSystemAssignedIdentity": False,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi",
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": False,
"recoveryPointId": "348916168024334",
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
func ExampleRestoresClient_BeginTrigger_restoreDisksWithIaasVMRestoreRequestWithIdentityBasedRestoreDetails() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "testVault", "netsdktestrg", "Azure", "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.IaasVMRestoreRequest{
CreateNewCloudService: to.Ptr(true),
EncryptionDetails: &armrecoveryservicesbackup.EncryptionDetails{
EncryptionEnabled: to.Ptr(false),
},
IdentityBasedRestoreDetails: &armrecoveryservicesbackup.IdentityBasedRestoreDetails{
TargetStorageAccountID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"),
},
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(false),
ManagedIdentityResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"),
},
ObjectType: to.Ptr("IaasVMRestoreRequest"),
OriginalStorageAccountOption: to.Ptr(false),
RecoveryPointID: to.Ptr("348916168024334"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeRestoreDisks),
Region: to.Ptr("southeastasia"),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
*/
async function restoreDisksWithIaasVMRestoreRequestWithIdentityBasedRestoreDetails() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"testVault",
"netsdktestrg",
"Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"348916168024334",
{
properties: {
createNewCloudService: true,
encryptionDetails: { encryptionEnabled: false },
identityBasedRestoreDetails: {
targetStorageAccountId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount",
},
identityInfo: {
isSystemAssignedIdentity: false,
managedIdentityResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi",
},
objectType: "IaasVMRestoreRequest",
originalStorageAccountOption: false,
recoveryPointId: "348916168024334",
recoveryType: "RestoreDisks",
region: "southeastasia",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2020-09-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2020-09-01
Retry-After: 60
Restore Disks with IaasVMRestoreWithRehydrationRequest
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/recoveryPoints/348916168024334/restore?api-version=2026-08-01
{
"properties": {
"createNewCloudService": true,
"encryptionDetails": {
"encryptionEnabled": false
},
"objectType": "IaasVMRestoreWithRehydrationRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryPointRehydrationInfo": {
"rehydrationPriority": "Standard",
"rehydrationRetentionDuration": "P7D"
},
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.EncryptionDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IaasVMRestoreWithRehydrationRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryPointRehydrationInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RehydrationPriority;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreWithRehydrationRequest.json
*/
/**
* Sample code: Restore Disks with IaasVMRestoreWithRehydrationRequest.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreDisksWithIaasVMRestoreWithRehydrationRequest(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("testVault", "netsdktestrg", "Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334",
new RestoreRequestResource().withProperties(new IaasVMRestoreWithRehydrationRequest()
.withRecoveryPointId("348916168024334").withRecoveryType(RecoveryType.RESTORE_DISKS)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1")
.withStorageAccountId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount")
.withRegion("southeastasia").withCreateNewCloudService(true).withOriginalStorageAccountOption(false)
.withEncryptionDetails(new EncryptionDetails().withEncryptionEnabled(false))
.withRecoveryPointRehydrationInfo(new RecoveryPointRehydrationInfo()
.withRehydrationRetentionDuration("P7D").withRehydrationPriority(RehydrationPriority.STANDARD))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_restore_disks_iaas_vm_restore_with_rehydration_request.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="testVault",
resource_group_name="netsdktestrg",
fabric_name="Azure",
container_name="IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
protected_item_name="VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
recovery_point_id="348916168024334",
parameters={
"properties": {
"createNewCloudService": True,
"encryptionDetails": {"encryptionEnabled": False},
"objectType": "IaasVMRestoreWithRehydrationRequest",
"originalStorageAccountOption": False,
"recoveryPointId": "348916168024334",
"recoveryPointRehydrationInfo": {
"rehydrationPriority": "Standard",
"rehydrationRetentionDuration": "P7D",
},
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreWithRehydrationRequest.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreWithRehydrationRequest.json
func ExampleRestoresClient_BeginTrigger_restoreDisksWithIaasVMRestoreWithRehydrationRequest() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "testVault", "netsdktestrg", "Azure", "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.IaasVMRestoreWithRehydrationRequest{
CreateNewCloudService: to.Ptr(true),
EncryptionDetails: &armrecoveryservicesbackup.EncryptionDetails{
EncryptionEnabled: to.Ptr(false),
},
ObjectType: to.Ptr("IaasVMRestoreWithRehydrationRequest"),
OriginalStorageAccountOption: to.Ptr(false),
RecoveryPointID: to.Ptr("348916168024334"),
RecoveryPointRehydrationInfo: &armrecoveryservicesbackup.RecoveryPointRehydrationInfo{
RehydrationPriority: to.Ptr(armrecoveryservicesbackup.RehydrationPriorityStandard),
RehydrationRetentionDuration: to.Ptr("P7D"),
},
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeRestoreDisks),
Region: to.Ptr("southeastasia"),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"),
StorageAccountID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_RestoreDisks_IaasVMRestoreWithRehydrationRequest.json
*/
async function restoreDisksWithIaasVMRestoreWithRehydrationRequest() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"testVault",
"netsdktestrg",
"Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"348916168024334",
{
properties: {
createNewCloudService: true,
encryptionDetails: { encryptionEnabled: false },
objectType: "IaasVMRestoreWithRehydrationRequest",
originalStorageAccountOption: false,
recoveryPointId: "348916168024334",
recoveryPointRehydrationInfo: {
rehydrationPriority: "Standard",
rehydrationRetentionDuration: "P7D",
},
recoveryType: "RestoreDisks",
region: "southeastasia",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
storageAccountId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount",
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2020-09-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasVMContainerV2;netsdktestrg;netvmtestv2vm1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2020-09-01
Retry-After: 60
Restore to New Azure IaasVm with IaasVMRestoreRequest
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/recoveryPoints/348916168024334/restore?api-version=2026-08-01
{
"properties": {
"createNewCloudService": false,
"encryptionDetails": {
"encryptionEnabled": false
},
"identityInfo": {
"isSystemAssignedIdentity": true
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryType": "AlternateLocation",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
"targetResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
"targetVirtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
"virtualNetworkId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet"
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.EncryptionDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IaasVMRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest.json
*/
/**
* Sample code: Restore to New Azure IaasVm with IaasVMRestoreRequest.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreToNewAzureIaasVmWithIaasVMRestoreRequest(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("testVault", "netsdktestrg", "Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334",
new RestoreRequestResource().withProperties(new IaasVMRestoreRequest()
.withRecoveryPointId("348916168024334").withRecoveryType(RecoveryType.ALTERNATE_LOCATION)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1")
.withTargetVirtualMachineId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435")
.withTargetResourceGroupId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2")
.withStorageAccountId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount")
.withVirtualNetworkId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet")
.withSubnetId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default")
.withRegion("southeastasia").withCreateNewCloudService(false).withOriginalStorageAccountOption(false)
.withEncryptionDetails(new EncryptionDetails().withEncryptionEnabled(false))
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(true))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_alr_iaas_vm_restore_request.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="testVault",
resource_group_name="netsdktestrg",
fabric_name="Azure",
container_name="IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
protected_item_name="VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
recovery_point_id="348916168024334",
parameters={
"properties": {
"createNewCloudService": False,
"encryptionDetails": {"encryptionEnabled": False},
"identityInfo": {"isSystemAssignedIdentity": True},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": False,
"recoveryPointId": "348916168024334",
"recoveryType": "AlternateLocation",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
"targetResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
"targetVirtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
"virtualNetworkId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest.json
func ExampleRestoresClient_BeginTrigger_restoreToNewAzureIaasVMWithIaasVMRestoreRequest() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "testVault", "netsdktestrg", "Azure", "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.IaasVMRestoreRequest{
CreateNewCloudService: to.Ptr(false),
EncryptionDetails: &armrecoveryservicesbackup.EncryptionDetails{
EncryptionEnabled: to.Ptr(false),
},
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(true),
},
ObjectType: to.Ptr("IaasVMRestoreRequest"),
OriginalStorageAccountOption: to.Ptr(false),
RecoveryPointID: to.Ptr("348916168024334"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeAlternateLocation),
Region: to.Ptr("southeastasia"),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"),
StorageAccountID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"),
SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default"),
TargetResourceGroupID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2"),
TargetVirtualMachineID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435"),
VirtualNetworkID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest.json
*/
async function restoreToNewAzureIaasVmWithIaasVMRestoreRequest() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"testVault",
"netsdktestrg",
"Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"348916168024334",
{
properties: {
createNewCloudService: false,
encryptionDetails: { encryptionEnabled: false },
identityInfo: { isSystemAssignedIdentity: true },
objectType: "IaasVMRestoreRequest",
originalStorageAccountOption: false,
recoveryPointId: "348916168024334",
recoveryType: "AlternateLocation",
region: "southeastasia",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
storageAccountId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount",
subnetId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
targetResourceGroupId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
targetVirtualMachineId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
virtualNetworkId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet",
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2017-07-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2017-07-01
Retry-After: 60
Restore to New Azure IaasVm with IaasVMRestoreRequest with identityBasedRestoreDetails
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/recoveryPoints/348916168024334/restore?api-version=2026-08-01
{
"properties": {
"createNewCloudService": false,
"encryptionDetails": {
"encryptionEnabled": false
},
"identityBasedRestoreDetails": {
"targetStorageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"
},
"identityInfo": {
"isSystemAssignedIdentity": true
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryType": "AlternateLocation",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
"targetResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
"targetVirtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
"virtualNetworkId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet"
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.EncryptionDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IaasVMRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityBasedRestoreDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file:
* 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
*/
/**
* Sample code: Restore to New Azure IaasVm with IaasVMRestoreRequest with identityBasedRestoreDetails.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void restoreToNewAzureIaasVmWithIaasVMRestoreRequestWithIdentityBasedRestoreDetails(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("testVault", "netsdktestrg", "Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334",
new RestoreRequestResource().withProperties(new IaasVMRestoreRequest()
.withRecoveryPointId("348916168024334").withRecoveryType(RecoveryType.ALTERNATE_LOCATION)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1")
.withTargetVirtualMachineId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435")
.withTargetResourceGroupId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2")
.withVirtualNetworkId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet")
.withSubnetId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default")
.withRegion("southeastasia").withCreateNewCloudService(false).withOriginalStorageAccountOption(false)
.withEncryptionDetails(new EncryptionDetails().withEncryptionEnabled(false))
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(true))
.withIdentityBasedRestoreDetails(new IdentityBasedRestoreDetails().withTargetStorageAccountId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_alr_iaas_vm_restore_request_identity_based_restore_details.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="testVault",
resource_group_name="netsdktestrg",
fabric_name="Azure",
container_name="IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
protected_item_name="VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
recovery_point_id="348916168024334",
parameters={
"properties": {
"createNewCloudService": False,
"encryptionDetails": {"encryptionEnabled": False},
"identityBasedRestoreDetails": {
"targetStorageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"
},
"identityInfo": {"isSystemAssignedIdentity": True},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": False,
"recoveryPointId": "348916168024334",
"recoveryType": "AlternateLocation",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
"targetResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
"targetVirtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
"virtualNetworkId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
func ExampleRestoresClient_BeginTrigger_restoreToNewAzureIaasVMWithIaasVMRestoreRequestWithIdentityBasedRestoreDetails() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "testVault", "netsdktestrg", "Azure", "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.IaasVMRestoreRequest{
CreateNewCloudService: to.Ptr(false),
EncryptionDetails: &armrecoveryservicesbackup.EncryptionDetails{
EncryptionEnabled: to.Ptr(false),
},
IdentityBasedRestoreDetails: &armrecoveryservicesbackup.IdentityBasedRestoreDetails{
TargetStorageAccountID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"),
},
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(true),
},
ObjectType: to.Ptr("IaasVMRestoreRequest"),
OriginalStorageAccountOption: to.Ptr(false),
RecoveryPointID: to.Ptr("348916168024334"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeAlternateLocation),
Region: to.Ptr("southeastasia"),
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"),
SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default"),
TargetResourceGroupID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2"),
TargetVirtualMachineID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435"),
VirtualNetworkID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_IdentityBasedRestoreDetails.json
*/
async function restoreToNewAzureIaasVmWithIaasVMRestoreRequestWithIdentityBasedRestoreDetails() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"testVault",
"netsdktestrg",
"Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"348916168024334",
{
properties: {
createNewCloudService: false,
encryptionDetails: { encryptionEnabled: false },
identityBasedRestoreDetails: {
targetStorageAccountId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount",
},
identityInfo: { isSystemAssignedIdentity: true },
objectType: "IaasVMRestoreRequest",
originalStorageAccountOption: false,
recoveryPointId: "348916168024334",
recoveryType: "AlternateLocation",
region: "southeastasia",
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
subnetId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
targetResourceGroupId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
targetVirtualMachineId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
virtualNetworkId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet",
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2017-07-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2017-07-01
Retry-After: 60
Restore to New Azure IaasVm with IaasVMRestoreRequest with identityBasedRestoreDetails and Data Disk Encryption Settings
Mintakérelem
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/recoveryPoints/348916168024334/restore?api-version=2026-08-01
{
"properties": {
"createNewCloudService": false,
"encryptionDetails": {
"encryptionEnabled": false
},
"identityBasedRestoreDetails": {
"targetStorageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"
},
"identityInfo": {
"isSystemAssignedIdentity": true
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryType": "AlternateLocation",
"region": "southeastasia",
"securedVMDetails": {
"securedVMOsDiskEncryptionSetId": "/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-os",
"dataDiskEncryptionSettings": {
"dataDiskEncryptionSetId": "/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-data-lun-0",
"dataDiskEncryptionIdentity": "/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourcegroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.ManagedIdentity/userAssignedIdentities/uami-cdde"
}
},
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
"targetResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
"targetVirtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
"virtualNetworkId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet"
}
}
import com.azure.resourcemanager.recoveryservicesbackup.models.DataDiskEncryptionSettings;
import com.azure.resourcemanager.recoveryservicesbackup.models.EncryptionDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IaasVMRestoreRequest;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityBasedRestoreDetails;
import com.azure.resourcemanager.recoveryservicesbackup.models.IdentityInfo;
import com.azure.resourcemanager.recoveryservicesbackup.models.RecoveryType;
import com.azure.resourcemanager.recoveryservicesbackup.models.RestoreRequestResource;
import com.azure.resourcemanager.recoveryservicesbackup.models.SecuredVMDetails;
/**
* Samples for Restores Trigger.
*/
public final class Main {
/*
* x-ms-original-file:
* 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_DataDiskEncryption_SingleEntry.json
*/
/**
* Sample code: Restore to New Azure IaasVm with IaasVMRestoreRequest with identityBasedRestoreDetails and Data Disk
* Encryption Settings.
*
* @param manager Entry point to RecoveryServicesBackupManager.
*/
public static void
restoreToNewAzureIaasVmWithIaasVMRestoreRequestWithIdentityBasedRestoreDetailsAndDataDiskEncryptionSettings(
com.azure.resourcemanager.recoveryservicesbackup.RecoveryServicesBackupManager manager) {
manager.restores().trigger("testVault", "netsdktestrg", "Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334",
new RestoreRequestResource().withProperties(new IaasVMRestoreRequest()
.withRecoveryPointId("348916168024334").withRecoveryType(RecoveryType.ALTERNATE_LOCATION)
.withSourceResourceId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1")
.withTargetVirtualMachineId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435")
.withTargetResourceGroupId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2")
.withVirtualNetworkId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet")
.withSubnetId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default")
.withRegion("southeastasia").withCreateNewCloudService(false).withOriginalStorageAccountOption(false)
.withEncryptionDetails(new EncryptionDetails().withEncryptionEnabled(false))
.withIdentityInfo(new IdentityInfo().withIsSystemAssignedIdentity(true))
.withIdentityBasedRestoreDetails(new IdentityBasedRestoreDetails().withTargetStorageAccountId(
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"))
.withSecuredVMDetails(new SecuredVMDetails().withSecuredVmosDiskEncryptionSetId(
"/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-os")
.withDataDiskEncryptionSettings(new DataDiskEncryptionSettings().withDataDiskEncryptionSetId(
"/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-data-lun-0")
.withDataDiskEncryptionIdentity(
"/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourcegroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.ManagedIdentity/userAssignedIdentities/uami-cdde")))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.recoveryservicesbackup import RecoveryServicesBackupClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-recoveryservicesbackup
# USAGE
python trigger_restore_alr_iaas_vm_restore_request_data_disk_encryption_single_entry.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RecoveryServicesBackupClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.restores.begin_trigger(
vault_name="testVault",
resource_group_name="netsdktestrg",
fabric_name="Azure",
container_name="IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
protected_item_name="VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
recovery_point_id="348916168024334",
parameters={
"properties": {
"createNewCloudService": False,
"encryptionDetails": {"encryptionEnabled": False},
"identityBasedRestoreDetails": {
"targetStorageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"
},
"identityInfo": {"isSystemAssignedIdentity": True},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": False,
"recoveryPointId": "348916168024334",
"recoveryType": "AlternateLocation",
"region": "southeastasia",
"securedVMDetails": {
"dataDiskEncryptionSettings": {
"dataDiskEncryptionIdentity": "/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourcegroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.ManagedIdentity/userAssignedIdentities/uami-cdde",
"dataDiskEncryptionSetId": "/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-data-lun-0",
},
"securedVMOsDiskEncryptionSetId": "/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-os",
},
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
"targetResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
"targetVirtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
"virtualNetworkId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet",
}
},
).result()
# x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_DataDiskEncryption_SingleEntry.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armrecoveryservicesbackup_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/recoveryservices/armrecoveryservicesbackup/v5"
)
// Generated from example definition: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_DataDiskEncryption_SingleEntry.json
func ExampleRestoresClient_BeginTrigger_restoreToNewAzureIaasVMWithIaasVMRestoreRequestWithIdentityBasedRestoreDetailsAndDataDiskEncryptionSettings() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armrecoveryservicesbackup.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewRestoresClient().BeginTrigger(ctx, "testVault", "netsdktestrg", "Azure", "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1", "348916168024334", armrecoveryservicesbackup.RestoreRequestResource{
Properties: &armrecoveryservicesbackup.IaasVMRestoreRequest{
CreateNewCloudService: to.Ptr(false),
EncryptionDetails: &armrecoveryservicesbackup.EncryptionDetails{
EncryptionEnabled: to.Ptr(false),
},
IdentityBasedRestoreDetails: &armrecoveryservicesbackup.IdentityBasedRestoreDetails{
TargetStorageAccountID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount"),
},
IdentityInfo: &armrecoveryservicesbackup.IdentityInfo{
IsSystemAssignedIdentity: to.Ptr(true),
},
ObjectType: to.Ptr("IaasVMRestoreRequest"),
OriginalStorageAccountOption: to.Ptr(false),
RecoveryPointID: to.Ptr("348916168024334"),
RecoveryType: to.Ptr(armrecoveryservicesbackup.RecoveryTypeAlternateLocation),
Region: to.Ptr("southeastasia"),
SecuredVMDetails: &armrecoveryservicesbackup.SecuredVMDetails{
SecuredVMOsDiskEncryptionSetID: to.Ptr("/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-os"),
DataDiskEncryptionSettings: &armrecoveryservicesbackup.DataDiskEncryptionSettings{
DataDiskEncryptionSetID: to.Ptr("/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-data-lun-0"),
DataDiskEncryptionIdentity: to.Ptr("/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourcegroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.ManagedIdentity/userAssignedIdentities/uami-cdde"),
},
},
SourceResourceID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1"),
SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default"),
TargetResourceGroupID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2"),
TargetVirtualMachineID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435"),
VirtualNetworkID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RecoveryServicesBackupClient } = require("@azure/arm-recoveryservicesbackup");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
*
* @summary restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use
* GetProtectedItemOperationResult API.
* x-ms-original-file: 2026-08-01/AzureIaasVm/TriggerRestore_ALR_IaasVMRestoreRequest_DataDiskEncryption_SingleEntry.json
*/
async function restoreToNewAzureIaasVmWithIaasVMRestoreRequestWithIdentityBasedRestoreDetailsAndDataDiskEncryptionSettings() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new RecoveryServicesBackupClient(credential, subscriptionId);
await client.restores.trigger(
"testVault",
"netsdktestrg",
"Azure",
"IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
"348916168024334",
{
properties: {
createNewCloudService: false,
encryptionDetails: { encryptionEnabled: false },
identityBasedRestoreDetails: {
targetStorageAccountId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Storage/storageAccounts/testingAccount",
},
identityInfo: { isSystemAssignedIdentity: true },
objectType: "IaasVMRestoreRequest",
originalStorageAccountOption: false,
recoveryPointId: "348916168024334",
recoveryType: "AlternateLocation",
region: "southeastasia",
securedVMDetails: {
securedVMOsDiskEncryptionSetId:
"/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-os",
dataDiskEncryptionSettings: {
dataDiskEncryptionSetId:
"/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourceGroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.Compute/diskEncryptionSets/des-data-lun-0",
dataDiskEncryptionIdentity:
"/subscriptions/5288acd1-ba79-4377-9205-9f220331a44a/resourcegroups/asmaskarrg-cvm-os-cmk-3cmk-1none-data-2606040706/providers/Microsoft.ManagedIdentity/userAssignedIdentities/uami-cdde",
},
},
sourceResourceId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
subnetId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet/subnets/default",
targetResourceGroupId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2",
targetVirtualMachineId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg2/providers/Microsoft.Compute/virtualmachines/RSMDALRVM981435",
virtualNetworkId:
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Network/virtualNetworks/testNet",
},
},
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Mintaválasz
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/protectedItems/vm;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2017-07-01
[...]
